Bug 523405 - setroubleshoot: SELinux is preventing /usr/sbin/vboxadd-service "read write" access on vboxadd.
Summary: setroubleshoot: SELinux is preventing /usr/sbin/vboxadd-service "read write" ...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: rawhide
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:a617860c60a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-15 11:38 UTC by adriano
Modified: 2009-09-21 04:29 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-15 12:20:56 UTC


Attachments (Terms of Use)

Description adriano 2009-09-15 11:38:02 UTC
The following was filed automatically by setroubleshoot:

Summary:

SELinux is preventing /usr/sbin/vboxadd-service "read write" access on vboxadd.

Detailed Description:

[vboxadd-service has a permissive type (initrc_t). This access was not denied.]

SELinux denied access requested by vboxadd-service. It is not expected that this
access is required by vboxadd-service and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:initrc_t:s0
Target Context                system_u:object_r:xserver_misc_device_t:s0
Target Objects                vboxadd [ chr_file ]
Source                        vboxadd-service
Source Path                   /usr/sbin/vboxadd-service
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.31-3.fc12
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.31-2.fc12.i686 #1
                              SMP Thu Sep 10 00:41:03 EDT 2009 i686 i686
Alert Count                   6
First Seen                    Mon 14 Sep 2009 01:21:23 PM CEST
Last Seen                     Tue 15 Sep 2009 01:16:23 PM CEST
Local ID                      508bba37-bbb3-410a-a68f-2ec36996c793
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1253013383.114:23): avc:  denied  { read write } for  pid=1257 comm="vboxadd-service" name="vboxadd" dev=tmpfs ino=7817 scontext=system_u:system_r:initrc_t:s0 tcontext=system_u:object_r:xserver_misc_device_t:s0 tclass=chr_file

node=(removed) type=AVC msg=audit(1253013383.114:23): avc:  denied  { open } for  pid=1257 comm="vboxadd-service" name="vboxadd" dev=tmpfs ino=7817 scontext=system_u:system_r:initrc_t:s0 tcontext=system_u:object_r:xserver_misc_device_t:s0 tclass=chr_file

node=(removed) type=SYSCALL msg=audit(1253013383.114:23): arch=40000003 syscall=5 success=yes exit=3 a0=8cbfa10 a1=8002 a2=0 a3=0 items=0 ppid=1256 pid=1257 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="vboxadd-service" exe="/usr/sbin/vboxadd-service" subj=system_u:system_r:initrc_t:s0 key=(null)


audit2allow suggests:

#============= initrc_t ==============
allow initrc_t xserver_misc_device_t:chr_file { read write open };

Comment 1 Daniel Walsh 2009-09-15 12:20:56 UTC
Fixed in selinux-policy-3.6.31-4.fc12.noarch


Note You need to log in before you can comment on or make changes to this bug.